API Reference
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Path Parameters
projectId*string
Query Parameters
mode?string
Value in
- "summary"
- "assets"
- "timeline"
- "transcript"
- "full"
search?string
asset_limit?number
Range
1 <= value <= 50asset_offset?number
Range
0 <= valuetimeline_limit?number
Range
1 <= value <= 1000timeline_offset?number
Range
0 <= valuetranscript_limit?number
Range
1 <= value <= 500transcript_offset?number
Range
0 <= valuecaption_word_limit?number
Range
1 <= value <= 2000caption_word_offset?number
Range
0 <= valuemedia_asset_types?array<>
folder_ids?array<>
include_subfolders?boolean
include_transcripts?boolean
include_caption_words?boolean
include_timeline_items?boolean
include_media_assets?boolean
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/string/context"{ "mode": "summary", "data": { "project": { "id": "string", "title": "string", "description": "string", "aspectRatio": "9:16", "fps": 0, "unitsPerFrame": 0, "compositionWidth": 0, "compositionHeight": 0, "durationSeconds": 0 }, "assetCounts": { "video": 0, "audio": 0, "image": 0 }, "timelineItemCounts": { "video": 0, "audio": 0, "caption": 0, "image": 0, "fillLayer": 0, "effect": 0, "other": 0 }, "templateSettings": { "isTemplate": true, "variableCount": 0, "bindingCount": 0 }, "captionStyle": { "source": "organization_default", "captionThemeId": "string", "captionThemeName": "string", "wordOverrideCount": 0 }, "userPreferences": { "creatorIdentity": "educator", "contentVibe": "calm", "aiWritingStyle": "conversational", "aiControversy": "safe", "workspaceDescription": "string", "safeWords": [ "string" ] } }, "bounds": { "collections": [ { "name": "string", "offset": 0, "limit": 0, "total": 0, "returned": 0, "hasMore": true, "truncated": true } ] }}